#!/bin/bash

usrname=`whoami`

# user check
if [ $usrname != "root" ] ; then
  echo -e "\nエラー：rootユーザで実行してください\n"
  exit 1
fi

# Env. Check

os=`cat /etc/issue | awk '{print $1}'`
ver=`cat /etc/issue | awk '{print $2}'`
mver=`echo $ver | cut -c 1-5`

if [ $os = "Ubuntu" ] ; then
  case $mver in
      "14.04" | "16.04" )
        env_Fontmap01=`ls /usr/local/share/fonts/CODE39.ttf | grep 'CODE39' -c` 
        if [ $env_Fontmap01 -eq 0 ] ; then
          echo -e "\nエラー：既にフォント環境が変更されています。\n"
          echo -e "\n　　　　続行すると、現在の環境を変更する恐れがありますので、"
          echo -e "\n　　　　アンインストールを中止します。(ver.$mver)\n"
          exit 1
        fi
      ;;
      * )
        echo -e "\nエラー：このOSには対応しておりません\n"
        exit 1
      ;;
  esac
else
  echo -e "\nエラー：このOSには対応しておりません\n"
  exit 1
fi

echo "Technical BarCodeフォント アンインストール中..."

case $mver in
    "14.04" | "16.04" )
      # file delete
      rm /usr/local/share/fonts/CODE39.ttf
      fc-cache -fv
    ;;
esac

echo "Technical BarCodeフォント アンインストール終了!!"
exit 0
